#!/bin/bash

# Génère les fichiers HTML de mon site 
# 
# Copyright (C) 2022 rick G. <rick@gnous.eu>
# 
# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any later
# version.
# 
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along with
# this program. If not, see <https://www.gnu.org/licenses/>.

# liste des fichiers html à générer
files="autres.html copaings.html index.html ou.html projets.html rss.html"

target="www"
header="header.html"
footer="footer.html"

for i in ${files}
do
    echo "Generate $i..."
    file="$target/$i"
    #cat $header > $file
    cat $i > $file
    cat $footer >> $file
    sed -i s/%file%/$i/ $file
done
